OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Irk On 3.5.3, Anyone installed?
acpkendo
post May 6 2005, 11:51 AM
Post #1





Group: Members
Posts: 169
Joined: 15-March 04
Member No.: 2,327



Has anyone installed IRK 0.11-r2 from the 3.5.3 feed? I keep getting an error, as described in this thread. I've run with higher debug output, as follows:

CODE
#ipkg install -V 3 irk
pkg_info_preinstall_check: updating arch priority for each package
pkg_info_preinstall_check: update file owner list
best installation candidate for irk
apkg=irk nprovides=2
adding irk-belkin to providers
adding irk to providers
  replacement_apkg=irk for provider_apkg=irk-belkin
  replacement_apkg=irk-belkin for provider_apkg=irk
Configuring unpacked packages
Nothing to be done
An error ocurred, return value: 4.
Collected errors:
Cannot find package irk.
Check the spelling or perhaps run 'ipkg update'
hash_table[pkg-hash] n_buckets=0 n_elements=4225 max_conflicts=0 n_conflicts=0
hash_table[file-hash] n_buckets=0 n_elements=2469 max_conflicts=0 n_conflicts=0
hash_table[obs-file-hash] n_buckets=0 n_elements=0 max_conflicts=0 n_conflicts=0
#


Anyone have any ideas? I'd really like to get the keyboard going.
Go to the top of the page
 
+Quote Post
lardman
post May 6 2005, 12:10 PM
Post #2





Group: Members
Posts: 4,515
Joined: 25-October 03
From: Bath, UK
Member No.: 464



Is there some kind of circular competition between irk and irk-belkin (just a guess)?

BTW, where is irk - which feed?


Si
Go to the top of the page
 
+Quote Post
Mickeyl
post May 6 2005, 01:20 PM
Post #3





Group: Members
Posts: 1,497
Joined: 12-November 03
From: Germany
Member No.: 907



Both irk packages provide irk and conflict with each other. You need to specify the package exactly, i.e. via ipkg install http://...
Go to the top of the page
 
+Quote Post
acpkendo
post May 9 2005, 10:01 AM
Post #4





Group: Members
Posts: 169
Joined: 15-March 04
Member No.: 2,327



Mickey,

Thanks for your help, but that didn't work:

CODE
ipkg install -V 3 http://www.openzaurus.org/official/unstable/3.5.3/feed/opie/irk_0.11-r2_arm.ipk > ~/irk-install.txt
Downloading http://www.openzaurus.org/official/unstable/3.5.3/feed/opie/irk_0.11-r2_arm.ipk
pkg_info_preinstall_check: updating arch priority for each package
pkg_info_preinstall_check: update file owner list
best installation candidate for irk
apkg=irk nprovides=2
adding irk-belkin to providers
adding irk to providers
  replacement_apkg=irk for provider_apkg=irk-belkin
  replacement_apkg=irk-belkin for provider_apkg=irk
Configuring unpacked packages
Nothing to be done
An error ocurred, return value: 4.
Collected errors:
Cannot find package irk.
Check the spelling or perhaps run 'ipkg update'
hash_table[pkg-hash] n_buckets=0 n_elements=4225 max_conflicts=0 n_conflicts=0
hash_table[file-hash] n_buckets=0 n_elements=2469 max_conflicts=0 n_conflicts=0
hash_table[obs-file-hash] n_buckets=0 n_elements=0 max_conflicts=0 n_conflicts=0


I've also tried downloading the file directly to the Zaurus and installing via ipkg on the command line locally.
Go to the top of the page
 
+Quote Post
Mickeyl
post May 9 2005, 01:41 PM
Post #5





Group: Members
Posts: 1,497
Joined: 12-November 03
From: Germany
Member No.: 907



Bummer. ipkg sometimes is too clever for us. Try to disable the feeds in ipkg.conf and do 'ipkg update', then try again.
Go to the top of the page
 
+Quote Post
acpkendo
post May 10 2005, 06:20 AM
Post #6





Group: Members
Posts: 169
Joined: 15-March 04
Member No.: 2,327



Thanks Mickey. . . that did it.
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 19th September 2014 - 03:55 PM